Create a phase

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Create a phase API allows users to create new phases in the system for the given project. This endpoint provides a way for developers to add phase details, including the phaseName, startDate, dueDate, status and private fields for the phase. This API returns the created phase object.

To customise the response, utilise the includeFields parameter and it will return the created phase in the response body.

Here is a reference table for phase status and their corresponding values.

LabelValueColor
To do1Blue
In Progress2Green
Complete3Green
Blocked4Cool Grey

In case any issues arise or further assistance is required, please refer to the error handling section or reach out to our support team at [email protected] for a prompt resolution.

Query Params
includeFields
array of strings

This query parameter allows you to specify which fields should be returned in the response body by selecting from the drop down. To get the relevant fields, use comma separated values. If the field is left blank, the default properties are returned.

includeFields
Allowed:
boolean

This query parameter allows you to specify if all the fields should be returned in the response body. If the field is left blank, the default properties are returned.

Body Params
string
required

The name of the phase. The name specified will be displayed everywhere else and can be used for filtering purposes.

project
object
required

The project associated with phase needs to be specified here and it is mandatory for the phase to get created and map accordingly.

string
required

On this date the phase's execution officially begins. The start date is required. The format for the start date is YYYY-MM-DD.

string
required

The day on which the phase's execution is planned to be completed. The due date is required and cannot be left blank. The dueDate must be on or after the given startDate. The format for the due date is YYYY-MM-DD.

status
object

The value of the phase status can be specified here and this is essential to keep track of the phase.

boolean

Describes the privacy of the phase i.e. if it is private or shared.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json